import { ResultAsync } from "neverthrow";
import { ChainTransaction, TokenBalance, WalletNFT } from "../businessObjects";
import { AccountIndexingError, AjaxError, MethodSupportError, PersistenceError } from "../errors";
import { AccountAddress, ChainId, UnixTimestamp } from "../primitives";
export interface IMasterIndexer {
    initialize(): ResultAsync<void, AjaxError>;
    getLatestBalances(chainId: ChainId, accountAddress: AccountAddress): ResultAsync<TokenBalance[], PersistenceError | AccountIndexingError | AjaxError | MethodSupportError>;
    getLatestNFTs(chainId: ChainId, accountAddress: AccountAddress): ResultAsync<WalletNFT[], PersistenceError | AccountIndexingError | AjaxError | MethodSupportError>;
    getLatestTransactions(accountAddress: AccountAddress, timestamp: UnixTimestamp, chainId: ChainId): ResultAsync<ChainTransaction[], AccountIndexingError | AjaxError | MethodSupportError>;
}
export declare const IMasterIndexerType: unique symbol;
//# sourceMappingURL=IMasterIndexer.d.ts.map